#!/bin/sh

KEXT_PATH_ETH_108=/System/Library/Extensions/IONetworkingFamily.kext/Contents/PlugIns/CYUSB3610.kext
KEXT_PATH_ETH_109=/Library/Extensions/CYUSB3610.kext

echo "CYUSB3610_Uninstall_v150"

if [ -e $KEXT_PATH_ETH_108 ]; then
	sudo kextunload "$KEXT_PATH_ETH_108"
	sudo rm -rf "$KEXT_PATH_ETH_108"
fi

if [ -e $KEXT_PATH_ETH_109 ]; then
	sudo kextunload "$KEXT_PATH_ETH_109"
	sudo rm -rf "$KEXT_PATH_ETH_109"
fi

pkgutil --pkgs| grep 'com.cypress.pkg.CYUSB3610-10.8' &> /dev/null
if [ $? == 0 ]; then
   sudo pkgutil --forget com.cypress.pkg.CYUSB3610-10.8
fi

pkgutil --pkgs| grep 'com.cypress.pkg.CYUSB3610-10.9' &> /dev/null
if [ $? == 0 ]; then
   sudo pkgutil --forget com.cypress.pkg.CYUSB3610-10.9
fi

sudo touch /System/Library/Extensions/
sudo touch /Library/Extensions/